ChimeMessenger
Date: 2019-10-22

org.jmol.viewer

## Class ChimeMessenger

- java.lang.Object
- - org.jmol.viewer.ChimeMessenger

- All Implemented Interfaces:
    JmolChimeMessenger

      public class ChimeMessenger
      extends java.lang.Object
      implements JmolChimeMessenger

  A legacy Chime-compatible messenger. Enabled using set messageStyleChime. Probably used only by ProteinExplorer. Consolidates all Chime business and gets this code out of Viewer and other more commonly used classes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Viewer` | `vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChimeMessenger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getAllChimeInfo(javajs.util.SB sb)`
    `java.lang.String` | `getInfoXYZ(Atom a)` called when an atom is picked
    `void` | `reportSelection(int n)` report atom selection in Chime format
    `java.lang.String` | `scriptCompleted(StatusManager sm, java.lang.String statusMessage, java.lang.String strErrorMessageUntranslated)` called when a script exits.
    `JmolChimeMessenger` | `set(Viewer vwr)`
    `void` | `showHash(javajs.util.SB outputBuffer, java.lang.String s)` #xxxx command output
    `void` | `update(java.lang.String msg)` called upon script exit and file opening

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vwr

          private Viewer vwr

  - ### Constructor Detail

    - #### ChimeMessenger

          public ChimeMessenger()

  - ### Method Detail

    - #### set

          public JmolChimeMessenger set(Viewer vwr)

      Specified by:
        `set` in interface `JmolChimeMessenger`

    - #### getInfoXYZ

          public java.lang.String getInfoXYZ(Atom a)

      called when an atom is picked
      Specified by:
        `getInfoXYZ` in interface `JmolChimeMessenger`

    - #### showHash

          public void showHash(javajs.util.SB outputBuffer,
                               java.lang.String s)

      #xxxx command output
      Specified by:
        `showHash` in interface `JmolChimeMessenger`

    - #### reportSelection

          public void reportSelection(int n)

      report atom selection in Chime format
      Specified by:
        `reportSelection` in interface `JmolChimeMessenger`

    - #### update

          public void update(java.lang.String msg)

      called upon script exit and file opening
      Specified by:
        `update` in interface `JmolChimeMessenger`

    - #### scriptCompleted

          public java.lang.String scriptCompleted(StatusManager sm,
                                                  java.lang.String statusMessage,
                                                  java.lang.String strErrorMessageUntranslated)

      called when a script exits.
      Specified by:
        `scriptCompleted` in interface `JmolChimeMessenger`

    - #### getAllChimeInfo

          public void getAllChimeInfo(javajs.util.SB sb)

      Specified by:
        `getAllChimeInfo` in interface `JmolChimeMessenger`